Linux 安装 git

安装方法参考:http://www.jb51.net/os/RedHat/149653.html

具体内容:

在安装Git之前,需要先安装一些依赖包,安装依赖包之前可以先检查下是否已经安装。

shell命令如下:

# rpm -qa | grep zlib-devel 

  如果没有安装,我们先要安装这些依赖包:

# yum -y install zlib-devel openssl-devel perl cpio expat-devel gettext-devel 
# yum install curl-devel
# yum install autoconf 
# wget https://codeload.github.com/git/git/tar.gz/v2.4.6 
# chmod +x  v2.4.6
# tar xzvf v2.4.6
# cd git-2.4.6 
# autoconf 
# ./configure --with-curl=/opt/git 
# make 
# make install 

  到这里git已经安装才成功了,下面我们来验证一下:

[root@localhost git-2.4.6]# git --version
git version 2.4.6
[root@localhost git-2.4.6]#

  其中遇到的问题: make: Warning: File `config.mak.uname' has modification time 8.8e+05 s in the future

      解决办法: 使用了两种方法,不确定是那种解决的,个人感觉是第一种: 因为我的CentOS是安装在 Vmware 上,安装 Vmware tools。安装步骤请参照: http://jingyan.baidu.com/article/2d5afd699108d985a2e28e35.html; 第二种解决方法是: 在 linux的控制台中输入  

ntpdate time.nist.gov

 

posted @ 2015-07-17 02:09  信息技术的风采  阅读(304)  评论(0编辑  收藏  举报